<?php
/**
 *
 * This file is part of the phpBB Forum Software package.
 *
 * @copyright (c) phpBB Limited <https://www.phpbb.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * For full copyright and license information, please see
 * the docs/CREDITS.txt file.
 *
 */

namespace webdeal\auctions\migrations;

class release_1_0_0 extends \phpbb\db\migration\migration
{
    public function effectively_installed()
    {
      return version_compare($this->config['webdeal_auctions_version'], '>=', '1.0.1');
    }

    static public function depends_on()
  	{
  		return array('\webdeal\auctions\migrations\release_1_0_0');
  	}

    public function update_data()
    {
        return array(
            array('config.add', array('webdeal_auctions_version', '1.0.1')),
        );
    }

    public function update_schema()
  	{
  		return array(
  			'add_tables'		=> array(
  				$this->table_prefix . 'bids'	=> array(
  					'COLUMNS'	=> array(
  						'bid_id'		=> array('UINT', null, 'auto_increment'),
              'auction_id'		=> array('UINT'),
  						'user_id'		=> array('UINT'),
  						'bid_price'   	=> array('UINT:8', 0),
  						'bid_time'		=> array('UINT:10', 0),
  					),
  					'PRIMARY_KEY'	=> 'bid_id',
  				),
        )
      );
    }

    public function revert_schema()
  	{
  		return array(
  			'drop_tables' =>  array(
  				$this->table_prefix . 'bids',
  			),
  		);
  	}
}
